#include <iostream>

using namespace std;

int main()
{
    unsigned int long long n,k,l;
    int zbir=0;
    cin>>n;
    unsigned int long long niz[3][n];
    for(int i=0;i<3;i++){
        for(int j=0;j<n;j++){
            cin>>niz[i][j];
        }
    }
    for(int i=0;i<n;i++){
            k=niz[0][i];
        for(int j=0;j<n;j++){
            l=niz[1][niz[2][j]-1];
            if(k==l){
                zbir++;
            }
        }
    }

    cout<<zbir;
    return 0;
}